Page MenuHomePhabricator

Create separate XMP parsing library
Closed, ResolvedPublic

Description

Details

Related Gerrit Patches:
mediawiki/core : masterUse wikimedia/xmp-reader library
mediawiki/vendor : masterAdd wikimedia/xmp-reader 0.5.1
mediawiki/libs/XMPReader : masterInitial commit
mediawiki/core : masterMove XMP* classes to includes/libs

Event Timeline

Legoktm created this task.May 31 2015, 8:20 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: Legoktm, Bawolff.
Restricted Application added a project: Multimedia. · View Herald TranscriptMay 31 2015, 8:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

https://gerrit.wikimedia.org/r/#/c/213355/ started moving stuff out of MWTimestamp so it too could be split out.

Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptAug 23 2015, 9:37 AM
Krinkle moved this task from Untriaged to To Do on the Librarization board.Sep 4 2015, 4:06 AM
Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:55 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 7:00 PM

Change 311907 had a related patch set uploaded (by Legoktm):
Move XMP* classes to includes/libs

https://gerrit.wikimedia.org/r/311907

Restricted Application added a project: Commons. · View Herald TranscriptSep 21 2016, 3:42 AM
Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptSep 21 2016, 3:42 AM

Change 311907 merged by jenkins-bot:
Move XMP* classes to includes/libs

https://gerrit.wikimedia.org/r/311907

@Bawolff T100924 is basically done, so we can go ahead and do this now :D Any opinions on naming? "XMP" or "XMPParser" or "XMPReader"?

Woo!

XMPReader kind of sounds nice.

Change 372221 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/libs/XMPReader@master] Initial commit

https://gerrit.wikimedia.org/r/372221

Change 372221 merged by Legoktm:
[mediawiki/libs/XMPReader@master] Initial commit

https://gerrit.wikimedia.org/r/372221

Reedy moved this task from To Do to In Dev on the Librarization board.Sep 4 2017, 12:42 AM
Tgr awarded a token.Sep 5 2017, 12:01 AM
demon added a subscriber: demon.Feb 15 2018, 11:35 PM

The project was forked, I guess we just need to submit to packagist then add to vendor and remove the core bits? Should be easy to finish out :)

Unfortunately the library fell behind core. I've manually cherry-picked the relevant commits in core to includes/libs after the fork:

f2f370cb31 Fix XMPReader/XMPValidator for PHP 7
966f541610 XMPReader: Log filename if available
93a38ae0ff xmp: Lower severity of XMP parse failure log events
1686d396db Group XMP parse failures by exception message

Some of the other codesniffer/at-ease stuff already happened in the library. Patches needing review: https://gerrit.wikimedia.org/r/#/q/project:mediawiki/libs/XMPReader+topic:sync-with-core

After those are merged, I think we can tag a release and bring it into core.

Change 436711 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/vendor@master] Add wikimedia/xmp-reader 0.5.1

https://gerrit.wikimedia.org/r/436711

Change 436713 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] Use wikimedia/xmp-reader library

https://gerrit.wikimedia.org/r/436713

Change 436711 merged by jenkins-bot:
[mediawiki/vendor@master] Add wikimedia/xmp-reader 0.5.1

https://gerrit.wikimedia.org/r/436711

Change 436713 merged by jenkins-bot:
[mediawiki/core@master] Use wikimedia/xmp-reader library

https://gerrit.wikimedia.org/r/436713

Legoktm closed this task as Resolved.Jun 1 2018, 3:09 AM
Legoktm claimed this task.

woohoo! Finished my 2015 hackathon project!